<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Button Panel Infusion
| Original author: cmike
| Email: mcwiklinski@gmail.com
| Continued starting v2.00: muscapaul
| Email: muscapaul@gmail.com
| Web: http://www.muscapaul.com
| Continued starting v3.00: Adam Stalica (Perelka2005)
| Email: adamstalica@vp.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."button_panel/infusion_db.php";

if (!checkrights("BLAN") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."button_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."button_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."button_panel/locale/Polish.php";
}

$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$but_id = (isset($_REQUEST['but_id']) AND isnum($_REQUEST['but_id'])) ? $_REQUEST['but_id'] : "";

opentable($locale['button_000']);
switch ($axn) {
	default:
	$result = dbquery("SELECT * FROM ".DB_BUTTONS." ORDER BY button_id ASC");
	$rows = dbrows($result);
	if ($rows > 0) {
		echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr align='center'>";
		echo "<td class='tbl2' style='font-weight:bold' width='100px'>".$locale['button_002']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_003']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_007']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold' width='80px'>".$locale['button_010']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold' width='80px'>".$locale['button_011']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_012']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_013']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_014']."</td>\n";
		echo "<td class='tbl2' style='font-weight:bold' width='85px'>".$locale['button_020']."</td></tr>\n";
		while ($data = dbarray($result)) {
			echo "<tr align='center'>";
			echo "<td class='tbl1'>".$data['button_id']."</td>\n";
			echo "<td class='tbl1'>".$data['button_name']."</td>\n";
			echo "<td class='tbl1'>\n";
			if ($data['button_pic']) {
			echo "<img src='".BASEDIR."images/buttony/".$data['button_pic']."' height='".$data['button_height']."' width='".$data['button_width']."'>";
			} elseif ($data['button_pic_net']) {
			echo "<img src='".$data['button_pic_net']."' height='".$data['button_height']."' width='".$data['button_width']."'>";
			} elseif ($data['button_script']) {
			echo "".$data['button_script']."";
			}
			echo "</td>\n";
			echo "<td class='tbl1'>".$data['button_height']."</td>\n";
			echo "<td class='tbl1'>".$data['button_width']."</td>\n";
			echo "<td class='tbl1'><a href='".INFUSIONS."button_panel/button.php?button_id=".$data['button_id']."' target='_blank'>".$data['button_link']."</td>\n";
			echo "<td class='tbl1'>".$data['button_user']."</td>\n";
			echo "<td class='tbl1'>".$data['button_pass']."</td>\n";
			echo "<td class='tbl1'><a href='".FUSION_SELF.$aidlink."&amp;axn=edit&but_id=".$data['button_id']."'>".$locale['button_021']."</a> | \n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=del&but_id=".$data['button_id']."'>".$locale['button_022']."</a></td>	</tr>\n";
		}
		echo "<tr align='center'>\n";
		echo "<td class='tbl2' colspan='1'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'>".$locale['button_044']."</a>\n";
		echo "<td class='tbl2' colspan='4'><a href='".INFUSIONS."button_panel/button_client.php'>".$locale['button_045']."</a></td>\n";
		echo "<td class='tbl2' colspan='4'><a href='".INFUSIONS."button_panel/button_settings.php'>".$locale['button_046']."</a></td>\n";
		echo "</td></tr></table>\n";
	} else {
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr align='center'><td class='tbl2' colspan='2'><span style='color:#8B0000; weight:bold;font-size:1.5em;'>".$locale['button_001']."</span></td></tr>\n";
		echo "<tr align='center'>\n";
		echo "<td class='tbl1' width='50%'><a href='".FUSION_SELF.$aidlink."&amp;axn=add'><h4>".$locale['button_044']."</h4></a></td>\n";
		echo "<td class='tbl1' width='50%'><a href='".INFUSIONS."button_panel/button_settings.php'><h4>".$locale['button_046']."</h4></a></td>";
		echo "</tr>";
		echo "</table>\n";
	}
	break;
	case 'add':
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='3'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_296']."</span></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;axn=add_button_serwer'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_297']."</span></a></td>\n";
		echo "<td align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;axn=add_button_internet'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_298']."</span></a></td>\n";
		echo "<td align='center' class='tbl2'><a href='".FUSION_SELF.$aidlink."&amp;axn=add_button_script'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_299']."</span></a></td></tr>\n";
		echo "</table>\n";
	break;
	case 'add_button_serwer':
	if (isset($_POST['add_button_serwer'])) {
		$result = dbquery("INSERT INTO ".DB_BUTTONS." (button_id, button_name, button_pic, button_pic_net, button_script, button_height, button_width, button_link, button_count, button_user, button_pass) VALUES('', '".$_POST['button_name']."', '".$_POST['button_pic']."', '', '', '".$_POST['button_height']."', '".$_POST['button_width']."', '".$_POST['button_link']."', '0', '".$_POST['button_user']."', '".$_POST['button_pass']."')");
		redirect (FUSION_SELF.$aidlink, "script");
	} else {
	
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=add_button_serwer' method='post' style='margin:2em;' onreset=\"if (!confirm('".$locale['button_017']."')) return false\">\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_300']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['button_003']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'><input type='text' name='button_name' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_007']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_pic' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_010']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_height' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_011']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_width' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_012']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_link' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_013']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_user' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_014']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='password' name='button_pass' size='40' class='textbox' /></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'><input type='submit' name='add_button_serwer' value='".$locale['button_015']."' class='button' /> <input type='reset' value='".$locale['button_016']."' class='button' /></td></tr>\n";
		echo "</table>\n</form>\n";
	}
	break;
	case 'add_button_internet':
	if (isset($_POST['add_button_internet'])) {
		$result = dbquery("INSERT INTO ".DB_BUTTONS." (button_id, button_name, button_pic, button_pic_net, button_script, button_height, button_width, button_link, button_count, button_user, button_pass) VALUES('', '".$_POST['button_name']."', '', '".$_POST['button_pic_net']."', '', '".$_POST['button_height']."', '".$_POST['button_width']."', '".$_POST['button_link']."', '0', '".$_POST['button_user']."', '".$_POST['button_pass']."')");
		redirect (FUSION_SELF.$aidlink, "script");
	} else {
	
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=add_button_internet' method='post' style='margin:2em;' onreset=\"if (!confirm('".$locale['button_017']."')) return false\">\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_301']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['button_003']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'><input type='text' name='button_name' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_007']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_pic_net' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_010']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_height' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_011']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_width' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_012']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_link' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_013']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_user' size='40' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_014']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='password' name='button_pass' size='40' class='textbox' /></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'><input type='submit' name='add_button_internet' value='".$locale['button_015']."' class='button' /> <input type='reset' value='".$locale['button_016']."' class='button' /></td></tr>\n";
		echo "</table>\n</form>\n";
	}
	break;
	case 'add_button_script':
	if (isset($_POST['add_button_script'])) {
		$result = dbquery("INSERT INTO ".DB_BUTTONS." (button_id, button_name, button_pic, button_pic_net, button_script, button_count, button_user, button_pass) VALUES('', '".$_POST['button_name']."', '', '', '".$_POST['button_script']."', '0', '".$_POST['button_user']."', '".$_POST['button_pass']."')");
		redirect (FUSION_SELF.$aidlink, "script");
	} else {
	
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=add_button_script' method='post' style='margin:2em;' onreset=\"if (!confirm('".$locale['button_017']."')) return false\">\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_302']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='150px' style='font-weight:bold;'>".$locale['button_003']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_name' style='width:550px' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='150px' style='font-weight:bold;'>Kod scryptu:</td>\n";
		echo "<td class='tbl1' align='left'><textarea rows='20' class='textbox' name='button_script' style='width:550px' /></textarea></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_013']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_user' style='width:550px' class='textbox' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_014']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='password' name='button_pass' style='width:550px' class='textbox' /></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'><input type='submit' name='add_button_script' value='".$locale['button_015']."' class='button' /> <input type='reset' value='".$locale['button_016']."' class='button' /></td></tr>\n";
		echo "</table>\n</form>\n";
	}
	break;
	case 'edit':
	if (isset($_POST['edit_button'])) {
		dbquery("UPDATE ".DB_BUTTONS." SET button_name='".$_POST['button_name']."', button_pic='".$_POST['button_pic']."', button_pic_net='".$_POST['button_pic_net']."', button_height='".$_POST['button_height']."', button_width='".$_POST['button_width']."', button_link='".$_POST['button_link']."', button_user='".$_POST['button_user']."', button_pass='".$_POST['button_pass']."' WHERE button_id='".$but_id."'");
		redirect (FUSION_SELF.$aidlink, "script");
	} else {
		$result = dbquery("SELECT * FROM ".DB_BUTTONS." WHERE button_id=".$but_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=edit' method='post' style='margin:2em;'>\n";
		echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_030']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' width='35%' style='font-weight:bold;'>".$locale['button_003']."</td>\n";
		echo "<td class='tbl1' align='left' width='65%'><input type='text' name='button_name' size='40' class='textbox' value='".$data['button_name']."' /></td></tr>\n";
		if ($data['button_pic']) {
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_008']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_pic' size='40' class='textbox' value='".$data['button_pic']."' /></td></tr>\n";
		} elseif ($data['button_pic_net']) {
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_009']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_pic_net' size='40' class='textbox' value='".$data['button_pic_net']."' /></td></tr>\n";
		} elseif ($data['button_script']) {
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_048']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_script' style='width:550px' class='textbox' value='".$data['button_script']."' /></td></tr>\n";
		}
		if ($data['button_pic'] || $data['button_pic_net']) {
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_010']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_height' size='40' class='textbox' value='".$data['button_height']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_011']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_width' size='40' class='textbox' value='".$data['button_width']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_012']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_link' size='40' class='textbox' value='".$data['button_link']."' /></td></tr>\n";
		}
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_013']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='text' name='button_user' size='40' class='textbox' value='".$data['button_user']."' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_014']."</td>\n";
		echo "<td class='tbl1' align='left'><input type='password' name='button_pass' size='40' class='textbox' value='".$data['button_pass']."' /></td></tr>\n";
		echo "<tr height='40'><td align='center' class='tbl1' colspan='2'>\n";
		echo "<input type='hidden' name='but_id' value='$but_id'><input type='submit' name='edit_button' value='".$locale['button_031']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>\n";
	}
	break;
	case 'del':
	if (isset($_POST['del_button'])) {
		dbquery("DELETE FROM ".DB_BUTTONS." WHERE button_id=".$but_id."");
		redirect (FUSION_SELF.$aidlink, "script");
	} else {
		$result = dbquery("SELECT * FROM ".DB_BUTTONS." WHERE button_id=".$but_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=del' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_040']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['button_041']."<span style='font-weight:bold;'>".$data['button_name']."</span>?\n";
		echo "</td></tr>\n";
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='but_id' value='$but_id' />\n";
		echo "<input type='submit' name='del_button' value='".$locale['button_042']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['button_043']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
}
closetable();

require_once THEMES."templates/footer.php";
?>