<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Button Panel Infusion
| Original author: cmike
| Email: mcwiklinski@gmail.com
| Continued starting v2.00: muscapaul
| Email: muscapaul@gmail.com
| Web: http://www.muscapaul.com
| Continued starting v3.00: Adam Stalica (Perelka2005)
| Email: adamstalica@vp.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."button_panel/infusion_db.php";

if (file_exists(INFUSIONS."button_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."button_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."button_panel/locale/Polish.php";
}

$but = isset($_REQUEST['but']) ? $_REQUEST['but'] : "";

switch ($but) {
default:
opentable($locale['button_079']);

$result = dbquery("SELECT * FROM ".DB_BUTTONS_SETTINGS."");

echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
echo "<tr align='center'>\n";
echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_082']."</td>\n";
echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_085']."</td>\n";
echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_086']."</td>\n";
echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_083']."</td>\n";
echo "<td class='tbl2' style='font-weight:bold'>".$locale['button_084']."</td></tr>\n";
while ($data = dbarray($result)) {
echo "<tr align='center'>\n";
echo "<td class='tbl1'>\n";
if ($data['marquee_direction'] == "up") { echo "".$locale['button_082a'].""; 
} elseif ($data['marquee_direction'] == "down") { echo "".$locale['button_082b']."";
} elseif ($data['marquee_direction'] == "left") { echo "".$locale['button_082c']."";
} elseif ($data['marquee_direction'] == "right") { echo "".$locale['button_082d']."";
} 
echo "</td>\n";
echo "<td class='tbl1'>\n";
echo "".$data['marquee_height']."\n";
echo "</td>";
echo "<td class='tbl1'>\n";
echo "".$data['marquee_width']."";
echo "</td>";
echo "<td class='tbl1'>\n";
if ($data['marquee_scrollamount'] == "1") { echo "".$locale['button_083a']." (".$data['marquee_scrollamount'].")"; 
} elseif ($data['marquee_scrollamount'] == "2") { echo "".$locale['button_083b']." (".$data['marquee_scrollamount'].")";
} elseif ($data['marquee_scrollamount'] == "3") { echo "".$locale['button_083c']." (".$data['marquee_scrollamount'].")";
} elseif ($data['marquee_scrollamount'] == "4") { echo "".$locale['button_083d']." (".$data['marquee_scrollamount'].")";
} elseif ($data['marquee_scrollamount'] == "5") { echo "".$locale['button_083e']." (".$data['marquee_scrollamount'].")";
} 
echo "</td>";
echo "<td class='tbl1'>\n";
if ($data['button_distance'] == "") { echo "".$locale['button_084a'].""; 
} elseif ($data['button_distance'] == "<br>") { echo "".$locale['button_084b']."";
} elseif ($data['button_distance'] == "<br><br>") { echo "".$locale['button_084c']."";
} elseif ($data['button_distance'] == "<br><br><br>") { echo "".$locale['button_084d']."";
} elseif ($data['button_distance'] == "<br><br><br><br>") { echo "".$locale['button_084e']."";
} elseif ($data['button_distance'] == "<br><br><br><br><br>") { echo "".$locale['button_084f']."";
} 
echo "</td>\n";

echo "</tr>\n";
}
echo "<tr align='center'><td class='tbl2' colspan='5'><a href='".FUSION_SELF.$aidlink."&amp;but=zmien'>".$locale['button_100']."</a></td></tr>\n";
echo "</table>\n";

closetable();

break;
case 'zmien':

opentable($locale['button_080']);
	
if (isset($_POST['settings'])) {
dbquery("UPDATE ".DB_BUTTONS_SETTINGS." SET marquee_direction='".$_POST['marquee_direction']."',  marquee_height='".$_POST['marquee_height']."', marquee_width='".$_POST['marquee_width']."', marquee_scrollamount='".$_POST['marquee_scrollamount']."', marquee_scrolldelay='1', button_distance='".$_POST['button_distance']."' ");
redirect (FUSION_SELF.$aidlink, "script");
} else {
$result = dbquery("SELECT * FROM ".DB_BUTTONS_SETTINGS."");
$data = dbarray($result);
echo "<form action='".FUSION_SELF.$aidlink."&amp;but=zmien' method='post' style='margin:2em;' onsubmit=\"if (!confirm('".$locale['button_101']."')) return false\">\n";
echo "<table width='60%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
echo "<tr height='40'><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['button_081']."</span></td></tr>\n";
echo "<tr><td class='tbl1' align='right' style='font-weight:bold;' width='50%'>".$locale['button_082']."</td>\n";
echo "<td class='tbl1' align='left' width='50%'>\n";
$marquee_direction = (isset($data['marquee_direction']) ? $data['marquee_direction'] : 0);
echo "<select name='marquee_direction'>
<option value='up' ".($marquee_direction=="up"?" selected='selected'":"").">".$locale['button_082a']."</option>
<option value='down' ".($marquee_direction=="down"?" selected='selected'":"").">".$locale['button_082b']."</option>
<option value='left' ".($marquee_direction=="left"?" selected='selected'":"").">".$locale['button_082c']."</option>
<option value='right' ".($marquee_direction=="right"?" selected='selected'":"").">".$locale['button_082d']."</option>
</select>\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_085']."</td>\n";
echo "<td class='tbl1' align='left'><input type='text' name='marquee_height' size='10' class='textbox' value='".$data['marquee_height']."' /></td></tr>\n";
echo "<tr><td class='tbl1' align='right' style='font-weight:bold;'>".$locale['button_086']."</td>\n";
echo "<td class='tbl1' align='left'><input type='text' name='marquee_width' size='10' class='textbox' value='".$data['marquee_width']."' /></td></tr>\n";
echo "<tr><td class='tbl1' align='right' style='font-weight:bold;' width='50%'>".$locale['button_083']."</td>\n";
echo "<td class='tbl1' align='left' width='50%'>\n";
$marquee_scrollamount = (isset($data['marquee_scrollamount']) ? $data['marquee_scrollamount'] : 0);
echo "<select name='marquee_scrollamount'>
<option value='1' ".($marquee_scrollamount=="1"?" selected='selected'":"").">".$locale['button_083a']."</option>
<option value='2' ".($marquee_scrollamount=="2"?" selected='selected'":"").">".$locale['button_083b']."</option>
<option value='3' ".($marquee_scrollamount=="3"?" selected='selected'":"").">".$locale['button_083c']."</option>
<option value='4' ".($marquee_scrollamount=="4"?" selected='selected'":"").">".$locale['button_083d']."</option>
<option value='5' ".($marquee_scrollamount=="5"?" selected='selected'":"").">".$locale['button_083e']."</option>
</select>\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl1' align='right' style='font-weight:bold;' width='50%'>".$locale['button_084']."<span style='color:#ff0000'>***</span></td>\n";
echo "<td class='tbl1' align='left' width='50%'>\n";
$button_distance = (isset($data['button_distance']) ? $data['button_distance'] : 0);
echo "<select name='button_distance'>
<option value='' ".($button_distance==""?" selected='selected'":"").">".$locale['button_084a']."</option>
<option value='<br>' ".($button_distance=="<br>"?" selected='selected'":"").">".$locale['button_084b']."</option>
<option value='<br><br>' ".($button_distance=="<br><br>"?" selected='selected'":"").">".$locale['button_084c']."</option>
<option value='<br><br><br>' ".($button_distance=="<br><br><br>"?" selected='selected'":"").">".$locale['button_084d']."</option>
<option value='<br><br><br><br>' ".($button_distance=="<br><br><br><br>"?" selected='selected'":"").">".$locale['button_084e']."</option>
<option value='<br><br><br><br><br>' ".($button_distance=="<br><br><br><br><br>"?" selected='selected'":"").">".$locale['button_084f']."</option>
</select>\n";
echo "<tr height='40'><td align='center' class='tbl1' colspan='2'><input type='submit' name='settings' value='".$locale['button_100']."' class='button' /></td></tr>\n";
echo "</table>\n";
echo "</form>\n";
echo "<table width='58%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
echo "<tr><td><span style='color:#ff0000'>***</span> - ".$locale['button_200']."</td></tr>";
echo "</table>\n";

}

closetable();
break;
}
require_once THEMES."templates/footer.php";
?>