<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Button Panel Infusion
| Original author: cmike
| Email: mcwiklinski@gmail.com
| Continued starting v2.00: muscapaul
| Email: muscapaul@gmail.com
| Web: http://www.muscapaul.com
| Continued starting v3.00: Adam Stalica (Perelka2005)
| Email: adamstalica@vp.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."button_panel/infusion_db.php";


if (file_exists(INFUSIONS."button_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."button_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."button_panel/locale/Polish.php";
}

$inf_title = $locale['button_inf_title'];
$inf_description = $locale['button_inf_description'];
$inf_version = "3.4";
$inf_developer = $locale['button_inf_developer'];
$inf_email = "adamstalica@vp.pl";
$inf_weburl = "";


$inf_folder = "button_panel";

$inf_newtable[1] = DB_BUTTONS." (
	button_id int(11) NOT NULL auto_increment,
	button_name varchar(250) NOT NULL default '',
	button_pic varchar(200) NOT NULL default '',
	button_pic_net varchar(200) NOT NULL default '',
	button_script TEXT DEFAULT '' NOT NULL,
	button_height varchar(100) NOT NULL default '',
	button_width varchar(100) NOT NULL default '',
	button_link varchar(200) NOT NULL default '',
	button_count int(11) NOT NULL default '0',
	button_user varchar(100) NOT NULL default '',
	button_pass varchar(100) NOT NULL default '',
	PRIMARY KEY  (button_id)
) TYPE=MyISAM";

$inf_droptable[1] = DB_BUTTONS;

$inf_newtable[2] = DB_BUTTONS_SETTINGS." (
	marquee_direction varchar(200) NOT NULL default 'up',
	marquee_height varchar(200) NOT NULL default '200px',
	marquee_width varchar(200) NOT NULL default '100%',
	marquee_scrollamount varchar(200) NOT NULL default '1',
	marquee_scrolldelay varchar(200) NOT NULL default '1',
	button_distance varchar(200) NOT NULL default '<br>'
) TYPE=MyISAM";
	
$inf_insertdbrow[1] = DB_BUTTONS_SETTINGS." (marquee_direction, marquee_height, marquee_width, marquee_scrollamount, marquee_scrolldelay) VALUES('up', '200px', '100%', '1', '1')";
	
$inf_droptable[2] = DB_BUTTONS_SETTINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['button_inf_adminpanel_title'],
	"image" => "image.gif",
	"panel" => "button_admin.php",
	"rights" => "BLAN"
);
?>